%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%%  Mall fr att gr a CD omslag till uppsatser p Karlstads universitet
%%  Martin Persson 2006-01-14
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Load original class
\LoadClass[a4paper]{article}
\usepackage{geometry}
\usepackage{graphics}
\usepackage{multicol}
\usepackage[cp1252]{inputenc}

% Set upp page style
\geometry{a4paper,textwidth=210mm,textheight=297mm}
\setlength{\parindent}{0pt}
\setlength{\unitlength}{1mm}

\def\pubnum{\gdef\@pubnum}
\pubnum{}

\def\department{\gdef\@department}
\department{}

\def\thesistype{\gdef\@thesistype}
\thesistype{}

\def\inlaytext{\gdef\@inlaytext}
\inlaytext{}

\def\Abstract{\gdef\@Abstract}
\Abstract{}


\newcommand{\makeinlay}{
\begin{picture}(210,297)

    %% Print pageinfo
    \put(55,290){
    \begin{minipage}{100mm}
    \begin{center}

        Jevel case inlay

    \end{center}
    \end{minipage}}

    %% Draw cutout lines
    \thinlines
    \put(45,28){\line(1,0){120}}
    \put(45,28){\line(0,1){120.5}}
    \put(165,28){\line(0,1){120.5}}
    \put(45,148.5){\line(1,0){120}}
    \put(45,148.5){\line(0,1){120.5}}
    \put(165,148.5){\line(0,1){120.5}}
    \put(45,269){\line(1,0){120}}

    %% Print the sun and departmentinfo
    \put(50,158){\rotatebox{90}{
    \begin{minipage}[t]{100mm}
    \begin{center}

        \resizebox{30mm}{30mm}{\includegraphics{KaU_CMYKc}}

        \vspace{3mm}

        \@department

        \vspace{3mm}

        \hrule

    \end{center}
    \end{minipage}}}

    %% Print author and title
    \put(100,158){\rotatebox{90}{
    \begin{minipage}[t]{100mm}
    \begin{center}

        {\Large\bf \@author}

        \vspace{10mm}

        {\LARGE\bf \@title}

    \end{center}
    \end{minipage}}}

    %% Print pubnum
    \put(150,158){\rotatebox{90}{
    \begin{minipage}[t]{100mm}
    \begin{center}

        \hrule

        \vspace{3mm}

        \@thesistype

        \@pubnum

    \end{center}
    \end{minipage}}}

    %% inside
    \put(55,38){\rotatebox{90}{
    \begin{minipage}[t]{100mm}

        \@inlaytext

    \end{minipage}}}

\end{picture}}

\newcommand{\makeback}{
\begin{picture}(210,297)

    \thinlines
    \put(30,159){\line(1,0){151}}
    \put(30,277){\line(1,0){151}}
    \put(30,159){\line(0,1){118}}
    \put(36,159){\line(0,1){118}}
    \put(175,159){\line(0,1){118}}
    \put(181,159){\line(0,1){118}}

    \put(55,290){
    \begin{minipage}{100mm}
    \begin{center}

        Back of jevel case

    \end{center}
    \end{minipage}}

    \put(50,265){
    \begin{minipage}[t]{100mm}

        {\LARGE \bf Abstract}

        \vspace{5mm}

        \@Abstract

    \end{minipage}}

    \put(31,169){\rotatebox{90}{
        \begin{minipage}{100mm}
        \begin{center}

            \textbf{\Large \@pubnum}

        \end{center}
        \end{minipage}}}

        \put(176,269){\rotatebox{270}{
        \begin{minipage}{100mm}
        \begin{center}

            \textbf{\Large \@pubnum}

        \end{center}
        \end{minipage}}}

\end{picture}}

\newcommand{\makecover}{
\begin{picture}(210,297)

    \put(55,290){
    \begin{minipage}{100mm}
    \begin{center}

        Disc cover

    \end{center}
    \end{minipage}}

    \put(52.5,246.5){
    \begin{minipage}[t]{100mm}
    \begin{center}

        \resizebox{25mm}{25mm}{\includegraphics{KaU_CMYKc}}

        \vspace{1mm}

        \@department

        \vspace{1mm}

        \hrule

    \end{center}
    \end{minipage}}

    \put(52.5,193.5){
    \begin{minipage}[t]{100mm}
    \begin{center}

        \hrule

        \vspace{1mm}

        {\large\bf \@title}

        \vspace{1mm}

        \@thesistype

    \end{center}
    \end{minipage}}

    \put(43,215){
    \begin{minipage}[t]{40mm}
    \begin{center}

        \@author

    \end{center}
    \end{minipage}}

    \put(120,215){
    \begin{minipage}[t]{40mm}
    \begin{center}

        \@pubnum

    \end{center}
    \end{minipage}}

\end{picture}}
